<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>:::SISTEMA DE HORARIOS:::</title>

		<meta name="description" content="overview &amp; stats" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
                
                
                
		<link rel="stylesheet" href="../assets/css/bootstrap.css" />
		<link rel="stylesheet" href="../assets/css/font-awesome.css" />
                <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
		<link rel="stylesheet" href="../assets/css/ace-fonts.css" />
		<link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
		<script src="../assets/js/ace-extra.js"></script>
                
                
        
		<!-- inline scripts related to this page -->
		<script type="text/javascript" language="javascript">
                    
			/*$(document).ready( function() {
                jQuery("#registroEncuesta").validationEngine();
            });*/
		</script>
	</head>

	<body class="no-skin" onLoad="cargar();">
		<!-- #section:basics/navbar.layout -->
		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
			</script>

			<div class="navbar-container" id="navbar-container">
            <%@ include file="banner.jsp" %>
			</div><!-- /.navbar-container -->
		</div>

		<!-- /section:basics/navbar.layout -->
		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
			</script>

			<!-- #section:basics/sidebar -->
			<div id="sidebar" class="sidebar                  responsive">
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
				</script>
                                <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
                                <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
                                <%@ include file="menu.jsp" %>
				<!-- #section:basics/sidebar.layout.minimize -->
				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>
				<!-- /section:basics/sidebar.layout.minimize -->
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
				</script>
			</div>

			<!-- /section:basics/sidebar -->
			<div class="main-content">
				<div class="main-content-inner">
					<!-- #section:basics/content.breadcrumbs -->
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="principal.jsp">INICIO</a>
							</li>
							<li class="active">HORARIOS</li>
						</ul><!-- /.breadcrumb -->
					</div>

					<!-- /section:basics/content.breadcrumbs -->
					<div class="page-content">
						
						<div class="page-header">
							<h1>
								Horarios
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									Asignar
								</small>
							</h1>
						</div><!-- /.page-header -->

						<div class="row">
							
                                                    
                                                    
                                                    
                                                    
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
                                                    <div class="col-sm-12" style="width:100%;">
                                                        
                                                        <div  class="col-sm-1"></div>
                                                        <div  class="col-sm-10">
                                                            
                                                        </div>
                                                        <div  class="col-sm-1"></div>
                                                        
                                                    </div>
                                                    <div class="col-sm-12" style="width:100%; height: 40px;"></div>
                                                    <div  class="col-sm-12" style="width:100%;">
                                                        <div  class="col-sm-12">
                                                            <!-- -------------TABLA---INI------------ -->
                                                            <div id='listadoHorario' style="display: none;">
                                                                <div  id='divHorarioGeneralReal'></div>
                                                            </div>
                                                                
                                                            
                                                            <!-- -------------TABLA---FIN------------ -->
                                                        </div>
                                                    </div>
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->
                                                    
                                                    
                                                    
                                                   
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
                                                    <div id="dialog-noti1" class="hide">
                                                        <br>
                                                        Se eliminó con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-noti2" class="hide">
                                                        <br>
                                                        Se registró con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor1" class="hide">
                                                        <br>
                                                        ¿Está seguro de eliminar asignación?
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor2" class="hide">
                                                        <br>
                                                        ¿Está seguro de asignar el curso y el docente?
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-advertencia1" class="hide">
                                                        <br>
                                                        Este curso ya está registrado en el horario.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armar1" class="hide">
                                                        <br>
                                                        <form id="RegistroAsigCurDoc" class="formular" method="post">
                                                            <div class="sttxt2" id="divRegistroCursoDocente"></div>
                                                        <br>
                                                            <div id="listadoCruce" style="display: none;">
                                                           </div>
                                                        </form>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armar2" class="hide">
                                                        <br>
                                                        ---------------------------------------------
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-cargando" class="hide">
                                                        <table cellpadding="0" cellspacing="0" width="100%">
                                                            <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                                                        </table>
                                                    </div>
                                                    <input type='hidden' id='codigo1'>
                                                    <input type='hidden' id='codGrupoReg'>
                                                    
                                                    <input type='hidden' id='codigosAula'>
                                                    <input type='hidden' id='codGrupo'>
                                                    <input type='hidden' id='dia'>
                                                    <input type='hidden' id='ini'>
                                                    <input type='hidden' id='fin'>
                                                    <input type='hidden' id='bloq'>
                                                    <input type="hidden" id="codAula">
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<div class="footer">
				<%@ include file="footer.jsp" %>
			</div>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='../assets/js/jquery.js'>"+"<"+"/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='../assets/js/jquery.mobile.custom.js'>"+"<"+"/script>");
		</script>
		<script src="../assets/js/bootstrap.js"></script>

		<!-- page specific plugin scripts -->
                <script src="../assets/js/jquery-ui.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>

		<!--[if lte IE 8]>
		  <script src="../assets/js/excanvas.js"></script>
		<![endif]-->
		<script src="../assets/js/jquery-ui.custom.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
		<script src="../assets/js/jquery.easypiechart.js"></script>
		<script src="../assets/js/jquery.sparkline.js"></script>
		<script src="../assets/js/flot/jquery.flot.js"></script>
		<script src="../assets/js/flot/jquery.flot.pie.js"></script>
		<script src="../assets/js/flot/jquery.flot.resize.js"></script>

		<!-- ace scripts -->
		<script src="../assets/js/ace/elements.scroller.js"></script>
		<script src="../assets/js/ace/elements.colorpicker.js"></script>
		<script src="../assets/js/ace/elements.fileinput.js"></script>
		<script src="../assets/js/ace/elements.typeahead.js"></script>
		<script src="../assets/js/ace/elements.wysiwyg.js"></script>
		<script src="../assets/js/ace/elements.spinner.js"></script>
		<script src="../assets/js/ace/elements.treeview.js"></script>
		<script src="../assets/js/ace/elements.wizard.js"></script>
		<script src="../assets/js/ace/elements.aside.js"></script>
		<script src="../assets/js/ace/ace.js"></script>
		<script src="../assets/js/ace/ace.ajax-content.js"></script>
		<script src="../assets/js/ace/ace.touch-drag.js"></script>
		<script src="../assets/js/ace/ace.sidebar.js"></script>
		<script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
		<script src="../assets/js/ace/ace.submenu-hover.js"></script>
		<script src="../assets/js/ace/ace.widget-box.js"></script>
		<script src="../assets/js/ace/ace.settings.js"></script>
		<script src="../assets/js/ace/ace.settings-rtl.js"></script>
		<script src="../assets/js/ace/ace.settings-skin.js"></script>
		<script src="../assets/js/ace/ace.widget-on-reload.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
                
                
                <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
                <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->
                
                
		<!-- inline scripts related to this page -->
		<script type="text/javascript">
                        
			jQuery(function($) {
                                
                                
				//override dialog's title function to allow for HTML titles
				$.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
					_title: function(title) {
						var $title = this.options.title || '&nbsp;'
						if( ("title_html" in this.options) && this.options.title_html == true )
							title.html($title);
						else title.text($title);
					}
				}));
			
				
			
				$( "#id-btn-dialog2" ).on('click', function(e) {//--
					e.preventDefault();
                                    $( "#dialog-confirm" ).removeClass('hide').dialog({
                                        resizable: false,
                                        modal: true,
                                        title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                                        title_html: true,
                                        buttons: [
                                            {
                                                html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                                                "class" : "btn btn-danger btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                            ,
                                            {
                                                html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                                                "class" : "btn btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        ]
                                    });
				});
                                
				$('.easy-pie-chart.percentage').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
					var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
					var size = parseInt($(this).data('size')) || 50;
					$(this).easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: parseInt(size/10),
						animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
						size: size
					});
				})
			
				$('.sparkline').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
					$(this).sparkline('html',
                                                                    {
                                                                           tagValuesAttribute:'data-values',
                                                                           type: 'bar',
                                                                           barColor: barColor ,
                                                                           chartRangeMin:$(this).data('min') || 0
                                                                    });
				});
			
			
			  //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
			  //but sometimes it brings up errors with normal resize event handlers
			  $.resize.throttleWindow = false;
			
			  var placeholder = $('#piechart-placeholder').css({'width':'90%' , 'min-height':'150px'});
			  var data = [
				{ label: "social networks",  data: 38.7, color: "#68BC31"},
				{ label: "search engines",  data: 24.5, color: "#2091CF"},
				{ label: "ad campaigns",  data: 8.2, color: "#AF4E96"},
				{ label: "direct traffic",  data: 18.6, color: "#DA5430"},
				{ label: "other",  data: 10, color: "#FEE074"}
			  ]
			  function drawPieChart(placeholder, data, position) {
			 	  $.plot(placeholder, data, {
					series: {
						pie: {
							show: true,
							tilt:0.8,
							highlight: {
								opacity: 0.25
							},
							stroke: {
								color: '#fff',
								width: 2
							},
							startAngle: 2
						}
					},
					legend: {
						show: true,
						position: position || "ne", 
						labelBoxBorderColor: null,
						margin:[-30,15]
					}
					,
					grid: {
						hoverable: true,
						clickable: true
					}
				 })
			 }
			 drawPieChart(placeholder, data);
			
			 /**
			 we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
			 so that's not needed actually.
			 */
			 placeholder.data('chart', data);
			 placeholder.data('draw', drawPieChart);
			
			
			  //pie chart tooltip example
			  var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
			  var previousPoint = null;
			
			  placeholder.on('plothover', function (event, pos, item) {
				if(item) {
					if (previousPoint != item.seriesIndex) {
						previousPoint = item.seriesIndex;
						var tip = item.series['label'] + " : " + item.series['percent']+'%';
						$tooltip.show().children(0).text(tip);
					}
					$tooltip.css({top:pos.pageY + 10, left:pos.pageX + 10});
				} else {
					$tooltip.hide();
					previousPoint = null;
				}
				
			 });
			
				/////////////////////////////////////
				$(document).one('ajaxloadstart.page', function(e) {
					$tooltip.remove();
				});
			
			
			
			
				var d1 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d1.push([i, Math.sin(i)]);
				}
			
				var d2 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d2.push([i, Math.cos(i)]);
				}
			
				var d3 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.2) {
					d3.push([i, Math.tan(i)]);
				}
				
			
				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'220px'});
				$.plot("#sales-charts", [
					{ label: "Domains", data: d1 },
					{ label: "Hosting", data: d2 },
					{ label: "Services", data: d3 }
				], {
					hoverable: true,
					shadowSize: 0,
					series: {
						lines: { show: true },
						points: { show: true }
					},
					xaxis: {
						tickLength: 0
					},
					yaxis: {
						ticks: 10,
						min: -2,
						max: 2,
						tickDecimals: 3
					},
					grid: {
						backgroundColor: { colors: [ "#fff", "#fff" ] },
						borderWidth: 1,
						borderColor:'#555'
					}
				});
			
			
				$('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('.tab-content')
					var off1 = $parent.offset();
					var w1 = $parent.width();
			
					var off2 = $source.offset();
					//var w2 = $source.width();
			
					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
					return 'left';
				}
			
			
				$('.dialogs,.comments').ace_scroll({
					size: 300
			    });
				
				
				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
				//so disable dragging when clicking on label
				var agent = navigator.userAgent.toLowerCase();
				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
				  $('#tasks').on('touchstart', function(e){
					var li = $(e.target).closest('#tasks li');
					if(li.length == 0)return;
					var label = li.find('label.inline').get(0);
					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
				});
			
				$('#tasks').sortable({
					opacity:0.8,
					revert:true,
					forceHelperSize:true,
					placeholder: 'draggable-placeholder',
					forcePlaceholderSize:true,
					tolerance:'pointer',
					stop: function( event, ui ) {
						//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
						$(ui.item).css('z-index', 'auto');
					}
					}
				);
				$('#tasks').disableSelection();
				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
					if(this.checked) $(this).closest('li').addClass('selected');
					else $(this).closest('li').removeClass('selected');
				});
			
			
				//show the dropdowns on top or bottom depending on window height and menu position
				$('#task-tab .dropdown-hover').on('mouseenter', function(e) {
					var offset = $(this).offset();
			
					var $w = $(window)
					if (offset.top > $w.scrollTop() + $w.innerHeight() - 100) 
						$(this).addClass('dropup');
					else $(this).removeClass('dropup');
				});
			
                        
                        
			});
                        
                    //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
                    
                       
                       function cargando(){
                            $( "#dialog-cargando" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
                                title_html: true
                            });
                        }
                        
                        function close_carga(){
                            $( "#dialog-cargando" ).dialog( "close" );
                        }
                        
                        function conMayusculas(field) {
                            field.value = field.value.toUpperCase()
                        }
                        
                        function segundaCarga(){
                            nombreAula();
                            armarGrupoHorarioReal();
                        }
                       
                       
                       
                       function nombreAula(){
                            var codAula = "<%=aula!=null?aula.getCodigoAula():""%>";
                            $("#codAula").val(codAula);
                            if(codAula==""){
                                window.location="asi_horario.jsp";
                            }else{
                                $.ajax({
                                    type:'POST',
                                    url:'../ServletAula?Accion=consultarNomAula',
                                    data: 'codAula='+codAula,
                                    success:function(resultado){
                                        $('#nomAula').html(resultado);
                                    },complete:function(){

                                    }
                                });
                            }
                        }


                        function armarGrupoHorario(){
                            var codalua = "<%=aula!=null?aula.getCodigoAula():""%>";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarGrupoHorarioAsig',
                                    data: 'codalua='+codalua,
                                    success:function(resultado){
                                        $('#divHorarioGeneral').html(resultado);
                                    },complete:function(){
                                        armarGrupoHorarioReal();
                                    }
                            });
                        }

                        function armarGrupoHorarioReal(){
                            var codalua = "<%=aula!=null?aula.getCodigoAula():""%>";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarGrupoHorarioAsigReal',
                                    data: 'codalua='+codalua,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $('#divHorarioGeneralReal').html(resultado);
                                    },complete:function(){
                                        $('#listadoHorario').fadeIn();
                                        //$(".tooltip").tooltipster();
                                        nombreAula();
                                    }
                            });
                        }

                        function popup_alerta(){
                            $( "#formulario3" ).dialog({
                                  width: 250,
                                  modal: true,
                                  resizable : false,
                                  draggable : false,
                                  buttons: {
                                      "Cancelar": function() {
                                          $("#formulario3").dialog( "close" );
                                      }
                                  }
                            });
                        }


                        function asignar(codigosAula){
                            $('#divVistaPrevia').html("");
                            popup_asignar(codigosAula);
                        }

                        function popup_asignar(codigosAula){
                            armarRegistro(codigosAula);
                                $( "#formulario1" ).dialog({
                                  width: 550,
                                  height: 500,
                                  modal: true,
                                  resizable : false,
                                  draggable : false,
                                  buttons: {
                                      "Asignar bloque": function() {
                                          validar_Bloque(codigosAula);
                                          //$("#formulario1").dialog( "close" );
                                      },"Cancelar": function() {
                                          $("#formulario1").dialog( "close" );
                                      }
                                  }
                            });
                        }


                        function validar_Bloque(codigosAula){
                            var estado=jQuery('#RegistroAsig').validationEngine('validate');
                            if(estado){
                                popup_asignar_confirmar(codigosAula); 
                            }
                        }


                        function popup_asignar_confirmar(codigosAula){
                                $( "#formulario5" ).dialog({
                                  width: 250,
                                  modal: true,
                                  resizable : false,
                                  draggable : false,
                                  buttons: {
                                      "Aceptar": function() {
                                          registrarGrupoBloque(codigosAula);
                                      },"Cancelar": function() {
                                          $("#formulario5").dialog( "close" );
                                      }
                                  }
                            });
                        }

                        function registrarGrupoBloque(codigosAula){
                            var codGruBlo = $("#codGrupo").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=registrarGrupoBloq',
                                    data: 'codGruBlo='+codGruBlo+'&codigosAula='+codigosAula,
                                    success:function(resultado){
                                        if(resultado==1){
                                           popup_correcto();
                                           buscarAula();
                                        }else{
                                           alert("Ocurrió un error"); 
                                        }
                                        //$('#divVistaPrevia').html(resultado);
                                    },complete:function(){
                                        $("#formulario5").dialog( "close" );
                                        $("#formulario1").dialog( "close" );
                                    }
                            });
                        }


                        function popup_correcto(){
                            $( "#formulario4" ).dialog({
                                  width: 250,
                                  modal: true,
                                  resizable : false,
                                  draggable : false,
                                  buttons: {
                                      "Cancelar": function() {
                                          $("#formulario4").dialog( "close" );
                                      }
                                  }
                            });
                        }


                        function armarRegistro(codAula){
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarRegistroAsig',
                                    data: null,
                                    success:function(resultado){
                                        $('#divRegistroAsig').html(resultado);
                                    },complete:function(){

                                    }
                            });
                        }

                        function cargarGrupo(){
                            var codBlo = $("#cmbBloque").val();
                            var nombre = "cmbGrupoBloque";
                            var accion = "";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=cargarGrupoBloque',
                                    data: 'codBlo='+codBlo+'&nombre='+nombre+'&accion='+accion,
                                    success:function(resultado){
                                        $('#divGrupoSelect').html(resultado);
                                    },complete:function(){

                                    }
                            });
                        }

                        function validar_bloque_grupo(){
                            var estado=jQuery('#RegistroAsig').validationEngine('validate');
                            if(estado){
                                armarGrupo(); 
                            }
                        }

                        function armarGrupo(){
                            var codGruBlo = $("#cmbGrupoBloque").val();
                            $("#codGrupo").val(codGruBlo);
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarGrupoHorario',
                                    data: 'codGruBlo='+codGruBlo,
                                    success:function(resultado){
                                        $('#divVistaPrevia').html(resultado);
                                    },complete:function(){

                                    }
                            });
                        }


                        function asignarHorarioCurso(bloq,dia,Hini,Hfin,Turno){
                            $("#dia").val(dia);
                            $("#bloq").val(bloq);
                            $("#ini").val(Hini);
                            $("#fin").val(Hfin);
                            $("#turno").val(Turno);

                            armarAsignacionCurso(bloq,dia,Hini,Hfin,Turno);
                            cargarCursoArea(bloq,dia);
                            
                            $( "#dialog-armar1" ).removeClass('hide').dialog({
                                resizable: false,
                                width: 700,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ASIGNAR",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            verCursosIguales(Turno,bloq,dia,Hini,Hfin);
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                            
                                
                        }


                        function editarHorarioCurso(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur){
                            $("#dia").val(dia);
                            $("#bloq").val(bloq);
                            $("#ini").val(Hini);
                            $("#fin").val(Hfin);

                           // alert(codHorario);
                            armarAsignacionCurso(bloq,dia,Hini,Hfin,Turno);
                            cargarCursoAreaEdit(codAula,bloq,dia,codDoc,codCur);
                            
                            
                            $( "#dialog-armar1" ).removeClass('hide').dialog({
                                resizable: false,
                                width: 700,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ASIGNAR",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            verCursosIgualesEditar(Turno,bloq,dia,Hini,Hfin);// listo
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; ELIMINAR",
                                        "class" : "btn btn-warning btn-xs",
                                        click: function() {
                                            poop_10(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur); // listo
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                        }
                        
                        
                        function verCursosIgualesEditar(Turno,bloq,dia,Hini,Hfin){
                            var codAula=$("#codAula").val();
                            var codCurso = $("#cmbCurso").val();

                             $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=consultarCursosEditar',
                                    data: "codAula="+codAula+"&codCurso="+codCurso+"&Turno="+Turno+'&bloq='+bloq+'&dia='+dia,
                                    success:function(resultado){
                                        if(resultado==0){
                                           validar_RegistroAsigCurDoc(bloq,dia,Hini,Hfin);
                                        }else{
                                           poopup_12();
                                        }
                                    },complete:function(){

                                    }
                            });
                        }
                        function verCursosIguales(Turno,bloq,dia,Hini,Hfin){
                            var codAula=$("#codAula").val();
                            var codCurso = $("#cmbCurso").val();

                             $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=consultarCursos',
                                    data: "codAula="+codAula+"&codCurso="+codCurso+"&Turno="+Turno,
                                    success:function(resultado){
                                     if(resultado==0){
                                      validar_RegistroAsigCurDoc(bloq,dia,Hini,Hfin);
                                     }else{
                                      poopup_12();
                                     }
                                    },complete:function(){

                                    }
                            });
                        }
                        function validar_RegistroAsigCurDoc(bloq,dia,Hini,Hfin){
                            var estado=jQuery('#RegistroAsigCurDoc').validationEngine('validate');
                            if(estado){
                                popup_confimacion(bloq,dia,Hini,Hfin);
                            }
                        }

                        function registrarAsigCurDoceHorario(bloq,dia,Hini,Hfin){
                            var codAula = $("#codAula").val();
                            var codTurno = $("#cmbTurno").val();
                            var codCurso = $("#cmbCurso").val();
                            var codDocente = $("#cmbDocDisp").val();
                            $("#ini").val(Hini);
                            $("#fin").val(Hfin);
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=registrarAsigCurDoceHorario',
                                    data: "codAula="+codAula+"&bloq="+bloq+"&dia="+dia+"&Hini="+Hini+"&Hfin="+Hfin+"&codTurno="+codTurno+"&codCurso="+codCurso+"&codDocente="+codDocente,
                                    success:function(resultado){
                                        if(resultado==1){
                                            popup_exito();
                                        }else if(resultado==3){
                                            verCruce();
                                        }else{
                                            alert("ocurrió un error");
                                        }
                                    },complete:function(){

                                    }
                            });
                        }

                        function popup_exito(){
                            $( "#dialog-armar1" ).dialog( "close" );
                            $( "#dialog-confor2" ).dialog( "close" );
                            $( "#dialog-noti2" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                                        "class" : "btn btn-success btn-xs",
                                        click: function() {
                                            armarGrupoHorario();
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        function popup_confimacion(bloq,dia,Hini,Hfin){
                            $( "#dialog-confor2" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            registrarAsigCurDoceHorario(bloq,dia,Hini,Hfin);
                                            $( this ).dialog( "close" ); 
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });   
                        }
                        
                        
                        function popup_cruce(){
                            $( "#formulario9" ).dialog({
                              width: 350,
                              modal: true,
                              resizable : false,
                              draggable : false,
                              buttons: {
                                  "Cancelar": function() {
                                      $("#formulario9").dialog( "close" );
                                      verCruce();
                                  }
                                }
                            });
                        }
                        function poop_10(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur){
                            $( "#dialog-confor1" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            eliminar(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur);
                                            $( this ).dialog( "close" );
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                            
                            
                            /*
                            $( "#formulario10" ).dialog({
                              width: 350,
                              modal: true,
                              resizable : false,
                              draggable : false,
                              buttons: {
                                  "Aceptar": function() {
                                      eliminar(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur);
                                      $("#formulario6").dialog( "close" );
                                  },"Cancelar": function() {
                                       $("#formulario10").dialog( "close" );
                                  }
                                }
                            });*/
                        }
                        function poopup_11(){
                            $( "#dialog-armar1" ).dialog( "close" );
                            $( "#dialog-noti1" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; OK",
                                        "class" : "btn btn-success btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        function poopup_12(){
                            $( "#dialog-advertencia1" ).removeClass('hide').dialog({
                                    resizable: false,
                                    width:400,
                                    modal: true,
                                    title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                                    title_html: true,
                                    buttons: [
                                        {
                                            html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; OK",
                                            "class" : "btn btn-warning btn-xs",
                                            click: function() {
                                                $( this ).dialog( "close" );
                                            }
                                        }
                                    ]
                                });
                        }


                        function armarAsignacionCurso(bloq,dia,Hini,Hfin,Turno){
                            //$("#listadoCruce").fadeOut();
                            var codigo=$("#codAula").val();
                            //alert(codigo);
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarAsignacionCursoDoc',
                                    data: 'bloq='+bloq+'&dia='+dia+'&Turno='+Turno+'&Hini='+Hini+'&Hfin='+Hfin,
                                    success:function(resultado){
                                        $('#divRegistroCursoDocente').html(resultado);
                                    },complete:function(){
                                        $("#formulario1").dialog( "close" );
                                        $("#listadoCruce").fadeOut();
                                    }
                            });
                        }

                        function cargarCursoArea(bloq,dia){
                            var nombre="cmbCurso";
                            var accion="cargarDocentesDisponibles("+bloq+","+dia+")";
                            //var codArea=$("#cmbArea").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletCurso?Accion=cargarCurso',
                                    data: 'nombre='+nombre+'&accion='+accion,
                                    success:function(resultado){
                                        $('#divCursoCombo').html(resultado);
                                    },complete:function(){
                                        //$("#formulario1").dialog( "close" );
                                        cargarDocentesDisponibles(bloq,dia);
                                    }
                            });
                        }

                        function cargarCursoAreaEdit(codAula,bloq,dia,codDoc,codCur){
                            var nombre="cmbCurso";
                            var accion="cargarDocentesDisponibles("+bloq+","+dia+")";
                            //var codArea=$("#cmbArea").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletCurso?Accion=cargarCursoEdit',
                                    data: 'nombre='+nombre+'&accion='+accion+'&codCur='+codCur,
                                    success:function(resultado){
                                        $('#divCursoCombo').html(resultado);
                                    },complete:function(){
                                        //$("#formulario1").dialog( "close" );
                                        cargarDocentesDisponiblesEdit(bloq,dia,codDoc );
                                    }
                            });
                        }

                        function cargarDocentesDisponibles(bloq,dia){
                            var nombre="cmbDocDisp";
                            var accion="recargar();";
                            var codTurno=$("#cmbTurno").val();
                            var codCurso=$("#cmbCurso").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletDocente?Accion=cargarDocentesDisponibles',
                                    data: 'nombre='+nombre+'&accion='+accion+'&codTurno='+codTurno+'&dia='+dia+'&codCurso='+codCurso,
                                    success:function(resultado){
                                        $('#divDocenteCombo').html(resultado);
                                    },complete:function(){
                                        $("#formulario1").dialog( "close" );
                                    }
                            });
                        }

                        function cargarDocentesDisponiblesEdit(bloq,dia,codDoc){
                            var nombre="cmbDocDisp";
                            var accion="recargar();";
                            var codTurno=$("#cmbTurno").val();
                            var codCurso=$("#cmbCurso").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletDocente?Accion=cargarDocentesDisponiblesEdit',
                                    data: 'nombre='+nombre+'&accion='+accion+'&codTurno='+codTurno+'&dia='+dia+'&codCurso='+codCurso+'&codDoc='+codDoc,
                                    success:function(resultado){
                                        $('#divDocenteCombo').html(resultado);
                                    },complete:function(){
                                        $("#formulario1").dialog( "close" );
                                    }
                            });
                        }


                        function verDetalleHorario(codAula,bloq,dia,Hini,Hfin){
                            armarDetalleHorario(codAula,bloq,dia,Hini,Hfin);
                                $( "#formulario7" ).dialog({
                                  width: 450,
                                  height: 350,
                                  modal: true,
                                  resizable : false,
                                  draggable : false,
                                  buttons: {
                                      "Cancelar": function() {
                                          $("#formulario7").dialog( "close" );
                                      }
                                  }
                            });
                        }

                        function armarDetalleHorario(codAula,bloq,dia,Hini,Hfin){
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=armarDetalleHorario',
                                    data: 'codAula='+codAula+'&bloq='+bloq+'&dia='+dia+'&Hini='+Hini+'&Hfin'+Hfin,
                                    success:function(resultado){
                                        $('#divVerDetalleHorario').html(resultado);
                                    },complete:function(){
                                        $("#formulario1").dialog( "close" );
                                    }
                            });
                        }


                        function verCruce(codHorario){
                            var codDocente = $("#cmbDocDisp").val();
                            var dia = $("#dia").val();
                            var ini = $("#ini").val();
                            var fin = $("#fin").val();
                            //alert(codHorario);
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=verCruce',
                                    data: 'codDocente='+codDocente+'&dia='+dia+'&Hini='+ini+'&Hfin='+fin+'&codHorario='+codHorario,
                                    success:function(resultado){
                                        $('#listadoCruce').html(resultado);
                                    },complete:function(){
                                        $("#listadoCruce").fadeIn();
                                        //$(document).tooltip();
                                    }
                            });
                        }
                        
                        function eliminar(codAula,bloq,dia,Hini,Hfin,Turno,codDoc,codCur){
                          $.ajax({
                                    type:'POST',
                                    url:'../ServletHorario?Accion=limpiarRegistro',
                                    data: 'codAula='+codAula+'&bloq='+bloq+'&dia='+dia+'&Hini='+Hini+'&Hfin='+Hfin+'&Turno='+Turno+'&codDoc='+codDoc+'&codCur='+codCur,
                                    success:function(resultado){

                                    },complete:function(){
                                        armarGrupoHorarioReal();  
                                        poopup_11();
                                        //$("#formulario10").dialog( "close" );
                                    }
                            });  
                        }

                        function recargar(){
                            $("#listadoCruce").fadeOut();
                        }

                        function regresar(){
                            window.location="asi_horario.jsp";
                        }
                       
                       
                        
		</script>
                

		<!-- the following scripts are used in demo only for onpage help and you don't need them -->
               
		<link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
		<link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />
                
		<script type="text/javascript"> ace.vars['base'] = '..'; </script>
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		<script src="../assets/js/ace/ace.onpage-help.js"></script>
		<script src="../docs/assets/js/rainbow.js"></script>
		<script src="../docs/assets/js/language/generic.js"></script>
		<script src="../docs/assets/js/language/html.js"></script>
		<script src="../docs/assets/js/language/css.js"></script>
		<script src="../docs/assets/js/language/javascript.js"></script>
                
                
                
                <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
                <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
                
                <!--<script type="text/javascript" src="js/jquery.tooltipster.min.js"></script>
                <link rel="stylesheet" type="text/css" href="css/tooltipster.css" />
        
                <script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
                <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
                -->
                
                <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
                <link rel="stylesheet" href="css/colorPicker.css" type="text/css"></link>

</html>
